Add test suite
POST
/suitesAdd a test suite
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, SuitesApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new SuitesApi(config);
const result = await api.addSuite({ "addSuitePayload": { "parentId": 123, "title": "Checkout smoke tests", "project": 123 }});console.log(result);curl --request POST \ "https://api.testcollab.io/suites?token=$TESTCOLLAB_TOKEN" \ --header 'Content-Type: application/json' \ --data '{ "parent_id": 123, "title": "example", "description": "example", "project": 123}'Request body
Section titled “Request body”| Field | Type | Required | Description |
|---|---|---|---|
parent_id |
number | Yes | — |
title |
string | Yes | — |
description |
string | No | — |
project |
number | Yes | — |
Response
Section titled “Response”200 — result
| Field | Type | Required | Description |
|---|---|---|---|
id |
number | Yes | — |
title |
string | Yes | — |
description |
string | No | — |
parent_id |
number | No | — |
order |
number | No | — |
created_by |
number | No | — |
is_bdd_managed |
boolean | No | True when the suite is managed by BDD sync from a feature file in Git. |
is_reference |
boolean | No | Will be true only for links |
source_id |
number | No | Only for links - source entity ID |
source_project |
number | No | Only for links - source Project ID |
is_main_link |
boolean | No | Will be true only for top level link suite |
{ "id": 123, "title": "example", "description": "example", "parent_id": 123, "order": 123, "created_by": 123, "is_bdd_managed": true, "is_reference": true, "source_id": 123}Errors
Section titled “Errors”| Status | Meaning |
|---|---|
401 |
Unauthorized |
403 |
Forbidden |
404 |
Not found |
500 |
Internal server error |